Bug 756456 - Incorrect way of restarting Tomcat runnning as windows service
Incorrect way of restarting Tomcat runnning as windows service
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Windows
medium Severity medium (vote)
: ---
: RHQ 4.11
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks: jon30-bugs 1111666
  Show dependency treegraph
 
Reported: 2011-11-23 11:27 EST by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-21 06:13:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2011-11-23 11:27:14 EST
Version-Release number of selected component (if applicable):
RHQ 4.3.0 SNAP

How reproducible: always


Steps to Reproduce:
1. Setup tomcat/EWS on windows
2. Inventory it
3. Restart it using JON UI
  
Actual results:
Tomcat is stopped, but when it is started it is via starting scripts not as a windows service. This means if you have some special configuration (like jmx port like I do) in windows registers, your does not go UP from JON's point of view - since it is started via scripts that contain different config values

Expected results:
 Tomcat's restart is treated like windows service
Comment 1 Thomas Segismont 2013-11-27 10:19:21 EST
Working on a patch: will probably add a new control method (Windows Service)
Comment 2 Jay Shaughnessy 2014-02-07 17:07:00 EST
Thomas, did you finish this?
Comment 3 Thomas Segismont 2014-02-07 17:28:04 EST
Jay, I couldn't. I was about to add what we already have in AS5 plugin IIRC. Actually, it would be nice to be able to test this thing with AS7 too.

I've pushed my initial changes in a bug branch (bug/756456), just in case...
Comment 4 Jean-frederic Clere 2014-03-07 08:53:37 EST
fixed by https://github.com/rhq-project/rhq/pull/8
Comment 6 Heiko W. Rupp 2014-07-21 06:13:54 EDT
Bulk closing of RHQ 4.11 issues, now that RHQ 4.12 is out.

If you find an issue with those, please open a new BZ, linking to the old one.

Note You need to log in before you can comment on or make changes to this bug.